geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lin Sun" <linsun....@gmail.com>
Subject Re: [DISCUSS] Server Respository plugin for Geronimo 2.1+ - RC2
Date Fri, 13 Jun 2008 16:47:32 GMT
I have to say that it is not very obvious - at least I didn't notice
it when I installed it from console the first time.   Also, I think as
long as you have the right value osi-approved="true" in the
geronimo-plugins.xml at the official site, it should be ok.    Looks
to me that the page is reading the site's geronimo-plugins.xml file
for the plugin's detail information instead of the sample's
geronimo-plugin.xml file.

Lin

On Fri, Jun 13, 2008 at 9:48 AM, Joe Bohn <joe.bohn@earthlink.net> wrote:
> Joe Bohn wrote:
>>
>> Start of thread to discuss any concerns/issues/questions with the vote for
>> the Server Repository plugin for Geronimo 2.1+
>>
>> Joe
>>
>
> Jarek posted an concern in his vote on this plugin:
> Jarek Gawor wrote:
>> +1
>>
>> One minor comment: when installing the plugin using the admin console
>> it shows the license as:
>>
>> License:      The Apache Software License, Version 2.0 (Proprietary)
>>
>> and should be :
>>
>> License:      The Apache Software License, Version 2.0 (Open Source)
>
> As you can see, he still voted +1.  However, this concerns me.  I guess
> there must be something that I need to set for the plugin in the pom.xml to
> indicate that this is apache licensed.  The generated geronimo-plugin.xml
> includes  <license osi-approved="false">The Apache Software License, Version
> 2.0</license> rather than indicating true for osi-approved.
>
> So ... what to do with the vote?  I really don't like the erroneous license
> message.  I'm leaning toward cancelling the vote again to get this fixed.
>  What are your opinions?
>
> Joe
>

Mime
View raw message